Package org.eclipse.m2m.atl.emftvm

# Interface TypedElement

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `NamedElement`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `Feature`, `Field`, `InputRuleElement`, `LocalVariable`, `Operation`, `OutputRuleElement`, `Parameter`, `RuleElement`

All Known Implementing Classes:
  `FeatureImpl`, `FieldImpl`, `InputRuleElementImpl`, `LocalVariableImpl`, `OperationImpl`, `OutputRuleElementImpl`, `ParameterImpl`, `RuleElementImpl`, `TypedElementImpl`

public interface TypedElement extends NamedElement
A representation of the model object 'Typed Element'.

See Also:
  - `EmftvmPackage.getTypedElement()`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.ecore.EClassifier`
`getEType()`
Returns the value of the 'EType' reference.
`String`
`getType()`
Returns the value of the 'Type' attribute.
`String`
`getTypeModel()`
Returns the value of the 'Type Model' attribute.
`void`
`setEType(org.eclipse.emf.ecore.EClassifier value)`
Sets the value of the '`EType`' reference.
`void`
`setType(String value)`
Sets the value of the '`Type`' attribute.
`void`
`setTypeModel(String value)`
Sets the value of the '`Type Model`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.NamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getEType

org.eclipse.emf.ecore.EClassifier getEType()
Returns the value of the 'EType' reference.

If the meaning of the 'EType' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'EType' reference.
See Also:
  - `setEType(EClassifier)`
  - `EmftvmPackage.getTypedElement_EType()`

### setEType

void setEType(org.eclipse.emf.ecore.EClassifier value)
Sets the value of the '`EType`' reference.

Parameters:
  `value` - the new value of the 'EType' reference.
See Also:
  - `getEType()`

### getType

String getType()
Returns the value of the 'Type' attribute.

If the meaning of the 'Type' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Type' attribute.
See Also:
  - `setType(String)`
  - `EmftvmPackage.getTypedElement_Type()`

### setType

void setType(String value)
Sets the value of the '`Type`' attribute.

Parameters:
  `value` - the new value of the 'Type' attribute.
See Also:
  - `getType()`

### getTypeModel

String getTypeModel()
Returns the value of the 'Type Model' attribute.

If the meaning of the 'Type Model' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Type Model' attribute.
See Also:
  - `setTypeModel(String)`
  - `EmftvmPackage.getTypedElement_TypeModel()`

### setTypeModel

void setTypeModel(String value)
Sets the value of the '`Type Model`' attribute.

Parameters:
  `value` - the new value of the 'Type Model' attribute.
See Also:
  - `getTypeModel()`